# Priručnik za Konsolu

Džonatan
Singer (Jonathan Singer)
jsinger@leeta.net
Kurt
V.
Hindenburg (Kurt V. Hindenburg)
kurt.hindenburg@gmail.com
Robert
Najt (Robert Knight)
robertknight@gmail.com
Kurt
V.
Hindenburg
kurt.hindenburg@gmail.com
Valdo
Bastijan (Waldo Bastian)
bastian@kde.org
Majk
Mekbrajd (Mike McBride)
mpmcbride7@yahoo.com
Dragan
Pantelić

    falcon-10@gmx.de

prevod
2000
2001
2002
Džonatan Singer
2005
2008
2009
Kurt V. Hindenburg
&FDLNotice;
2009-02-23
2.2.0

Konsole je KDE‑ov emulator terminala.

KDE
Konsole
kdebase
komandna
linija
terminal
CLI

## Uvod

### Šta je terminal?

Konsole je X emulator terminala (često i samo terminal, ili školjka). Emulira sučelje komandne linije u prozoru sa čistim tekstom.

Objašnjavanje upotrebe unix CLI‑a izvan je opsega ovog dokumenta. Pretraga Weba za ovim izrazima daće više podataka.

### Prepis

Konsole koristi koncept prepisa da dopusti korisniku pregled prethodno proizvedenog izlaza. Prepis je podrazumevano uključen i postavljen na pamćenje 1.000 redova izlaza povrh trenutno prikazanih na ekranu. Redovi teksta koji otklize izvan vrha ekrana mogu se pregledati pomeranjem klizačke trake nagore, okretanjem točkića miša, prečicom ShiftPageUp (za pomeranje jednu stranicu unazad), ShiftPageDown (za pomeranje jednu stranicu unapred), Shiftstrelica gore (za jedan red nagore) i Shiftstrelica dole (za jedan red nadole).

Dok je aktivan ScrollLock, potisnut je običan ulaz i izlaz školjke, a kroz istorijat možete klizati tasterima PageUp, PageDown, strelica gore i strelica dole.

Konsole pruža više radnji u meniju Prepis .

### Profili

Profili dopuštaju korisniku da brzo i lako automatizuje izvršavanje uobičajenih naredbi. Neki primeri:

- `ssh` na drugi računar

- pokretanje IRC sesije

- `tail` za nadgledanje fajla

Postupak stvaranja novog profila:

1. Kliknite na stavku menija Podešavanje Upravljaj profilima...

2. Kliknite na dugme Novi profil....

3. Popunite prvi unos imenom. Ono će se prikazivati u meniju, i biti podrazumevana etiketa (umesto Školjka) kad pokrenete sesiju ovog tipa.

4. Unesite naredbu, tačno kao kad biste otvorili novu školjku i izvršili je. Za naš prvi gornji primer, mogli biste upisati ``ssh` administracija`.

5. Pod drugim jezičcima dijaloga, podesite izgled sesije. Za svaku sesiju možete podesiti drugačiji font, šemu boja, terminal ($`TERM`), i mnoge druge postavke.

6. Pritisnite dugme U redu. Nova sesija sada je dostupna u dijalogu Upravljaj profilima....

Po stvaranju profila, svi postojeći biće nabrojani po imenu u meniju Fajl, ispod podrazumevane stavke Školjka.

### Dugmad miša

Ova sekcija opisuje upotrebu dugmadi miša za uobičajeni desnoruki redosled. Za levoruki redosled, razmenite ‘levo’ i ‘desno’ u daljem tekstu.

levo

  Svi klikovi levim dugmetom biće poslati programu svesnom miša koji se izvršava u Konsoli. Ako program reaguje na klikove mišem, Konsole na to ukazuje kursorom u vidu strelice. Ako ne, kursor je oblika uspravne crte.

  Držanje pritisnutog levog dugmeta i prevlačenje miša preko ekrana obeležiće potez teksta, ako program nije svestan miša. Pri prevlačenju, obeleženi tekst prikazuje se izvrnuto, radi vizuelnog odziva. Izaberite Kopiraj iz menija Uređivanje da biste kopirali obeleženi tekst u klipbord, radi dalje upotrebe u Konsoli ili drugom programu. Izabrani tekst takođe se može prevlačiti u saglasne programe: kliknite na izabrani tekst i prevucite ga na željenu lokaciju. Zavisno od vaših postavki KDE‑a, možda ćete tokom prevlačenja morati da držite pritisnut taster Ctrl.

  Znakovi novog reda normalno se umeću na kraju svakog izabranog reda. Ovo je najbolje za isecanje i nalepljivanje izvornog koda, ili izlaza određene naredbe. Za običan tekst, prelomi redova često nisu važni: nekada je pogodnije da tekst bude tok znakova koji se automatski ponovo formatira pri nalepljivanju u drugi program. Za izbor u režimu toka znakova, držite pritisnut taster Ctrl pri biranju.

  Držanje tastera Ctrl i Alt zajedno sa levim dugmetom miša izabraće kolonu teksta.

  Dvokliknite levim dugmetom da izaberete reč, a trokliknite da izaberete ceo red.

  Ako se pri obeležavanju dosegne gornja ili donja ivica oblasti teksta, Konsole kliza gore ili dole, izlažući još teksta iz bafera istorijata. Klizanje prestaje kad prestane kretanje miša.

  Pošto se pusti miš, Konsole pokušava da zadrži tekst u klipbordu vidljivim, održavanjem obeležene oblasti izvrnutom. Obeležena oblast vraća se u normalu čim se izmeni sadržaj klipborda, izmeni tekst unutar oblasti, ili klikne levim dugmetom.

  Za obeležavanje teksta u programu svesnom miša (na primer, Ponoćni komandir), pri kliktanju se mora držati pritisnut taster Shift.

srednje

  Pritisak srednjeg dugmeta nalepljuje tekst trenutno u klipbordu. Ako pritom još držite pritisnut taster Ctrl, tekst se nalepljuje i šalje Konsoli.

  Ako miš ima samo dva dugmeta, istovremeni pritisak i levog i desnog dugmeta simulira srednje dugme miša sa tri dugmeta.

  Ako srednje dugme ima i točkić, njegovo obrtanje u programu nesvesnom miša pomeraće Konsolinu klizačku traku.

desno

  Na pritisak desnog dugmeta dobija se meni sa sledećim stavkama: Kopiraj, Nalepi, Očisti prepis i resetuj, Otvori ovde pregledač, Promeni profil, Uredi tekući profil..., Traka menija, Kodiranje znakova i Zatvori jezičak.

  U programu svesnom miša, za dobijanje iskačućeg menija držite taster Shift pri pritisku desnog dugmeta.

## Popis naredbi

### Traka menija

Traka menija je na vrhu Konsolinog prozora. Ako je traka menija sakrivena, do stavke Traka menija može se doći desnim klikom u prozoru (pod uslovom da se ne izvršava celoekranski program, kao što su Vi, Minicom, itd.) Podrazumevana prečica navedena je posle svake stavke.

#### Meni Fajl

CtrlShiftN Fajl Novi jezičak

  Otvara novi jezičak sa podrazumevanim profilom.

CtrlShiftM Fajl Novi prozor

  Otvara nov, zaseban Konsolin prozor sa podrazumevanim profilom.

Novi prozor Školjka

  Otvara novi jezičak sa profilom „Školjka“.

  Konsole dolazi sa profilom „Školjka“ kao podrazumevanim. Svi profili koje je dodao korisnik biće dati kao stavka pod Fajl Školjka.

Fajl Otvori ovde pregledač

  Otvara KDE‑ov menadžer fajlova nad tekućom fasciklom. Podrazumevano je to Dolphin.

CtrlShiftW Fajl Zatvori jezičak

  Zatvara tekući jezičak.

CtrlShiftQ Fajl Napusti

  Napušta Konsolu.

  Ako ima više od jednog jezička, Konsole izdati prozor sa upitom. Moguće ga je isključiti popunjavanjem kućice Ne pitaj opet.

#### Meni Uređivanje

CtrlShiftC Uređivanje Kopiraj

  Kopira izabrani tekst u klipbord.

CtrlShiftV Uređivanje Nalepi

  Nalepljuje tekst iz klipborda na lokaciji kursora.

CtrlAltS Uređivanje Preimenuj jezičak...

  Otvara dijalog u kojem možete izmeniti ime tekućeg jezička. (Više o ovome.)

Uređivanje Kopiraj unos u...

  Čini da unos u tekućoj sesiji bude istovremeno slat drugim sesijama. (Više o ovome.)

Uređivanje Očisti ekran

  Čisti sav tekst iz jezička.

  Očišćeni tekst ostaće sačuvan u prepisu.

Uređivanje Očisti i resetuj

  Čisti sav tekst iz jezička i resetuje sesiju.

  Očišćeni tekst ostaće sačuvan u prepisu.

#### Meni Prikaz

CtrlShiftL Prikaz Podeljen prikaz Podeli prikaz levo/desno

  Deli sve jezičke na levi i desni prikaz.

  Sav izlaz u jednom prikazu odslikava se i na drugi.

CtrlShiftT Prikaz Podeljen prikaz Podeli prikaz gore/dole

  Deli sve jezičke na gornji i donji prikaz.

  Sav izlaz u jednom prikazu odslikava se i na drugi.

CtrlShiftS Prikaz Podeljen prikaz Zatvori aktivni

  Zatvara tekući prikaz.

CtrlShiftO Prikaz Podeljen prikaz Zatvori ostale

  Zatvara netekući prikaz.

CtrlShift] Prikaz Podeljen prikaz Raširi prikaz

  Uvećava tekući prikaz.

CtrlShift[ Prikaz Podeljen prikaz Skupi prikaz

  Smanjuje tekući prikaz.

CtrlShiftH Prikaz Otkači prikaz

  Otvara tekući jezičak u zasebnom prozoru.

  Napuštanje prethodnog prozora Konsole neće uticati na novostvoreni.

Prikaz Traka menija

  Prikazuje ili skriva traku menija.

CtrlShiftF11 Prikaz Preko celog ekrana

  Prebacuje Konsolu preko celog ekrana.

CtrlShiftI Prikaz Nadgledaj tišinu

  Nadgledanje nedostatka aktivnosti pod tekućim jezičkom.

  Podrazumevano, posle 10 sekundi neaktivnosti na jezičku sesije pojaviće se ikona obaveštenja. Tip upozorenja može se promeniti pomoću Podešavanje Podesi obaveštenjaTišina u nadgledanoj sesiji.

CtrlShiftA Prikaz Nadgledaj aktivnost

  Nadgledanje aktivnosti pod tekućim jezičkom.

  Na bilo kakvu aktivnost, na jezičku sesije pojavljuje se ikona obaveštenja. Tip upozorenja može se izmeniti pomoću Podešavanje Podesi obaveštenjaAktivnost u nadgledanoj sesiji.

Prikaz Kodiranje znakova

  Postavlja kodiranje znakova.

Ctrl+ Prikaz Uvećaj tekst

  Povećava veličinu fonta za tekst.

Ctrl- Prikaz Umanji tekst

  Smanjuje veličinu fonta za tekst.

#### Meni Prepis

CtrlShiftF Prepis Traži u izlazu...

  Otvara traku pretrage na dnu prozora Konsole.

  Omogućava pretrage sa razlikovanjem veličine slova, unapred i unazad, i sa regularnim izrazima.

F3 Prepis Nađi sledeće

  Prelazi na sledeći pogodak pretrage.

ShiftF3 Prepis Nađi prethodno

  Prelazi na prethodni pogodak pretrage.

Prepis Sačuvaj izlaz...

  Upisuje tekući prepis u tekstualni fajl.

Prepis Opcije prepisa

  Otvara dijalog za podešavanje koliko redova treba upisati. (Još o ovome.)

Prepis Očisti prepis

  Čisti sav tekst sačuvan pod tekućim jezičkom.

CtrlShiftX Prepis Očisti prepis i resetuj

  Čisti sav tekst sačuvan pod tekućim jezičkom i resetuje terminal.

#### Meni Markeri

CtrlB Markeri Dodaj marker

  Dodaje trenutnu lokaciju.

Markeri Markiraj jezičke kao fasciklu...

  Dodaje sve jezičke u fasciklu markera.

  Otvoriće se dijalog za ime fascikle markera.

Markeri Nova fascikla markera...

  Dodaje novu fasciklu spisku markera.

  Otvoriće se dijalog za ime fascikle markera.

Markeri Uredi markere

  Otvara uređivač markera.

  Uređivača markera možete koristiti za ručno dodavanje URL‑ova poput `ssh:korisnik@domacin`, za uspostavljanje udaljenih veza.

#### Meni Podešavanje

Podešavanje Promeni profil

  Menja profil za tekući jezičak.

Podešavanje Uredi tekući profil...

  Otvara uređivač profila za tekući jezičak.

Podešavanje Upravljaj profilima...

  Otvara uređivač za upravljanje profilima.

Podešavanje Podesi prečice...

  Otvara uređivač prečica sa tastature.

Podešavanje Podesi obaveštenja...

  Otvara uređivač obaveštenja.

#### Meni Pomoć

&help.menu.documentation;

### Dijalog za preimenovanje jezička

U ovom dijalogu se može izmeniti ime tekućeg jezička. Dozovite ga kroz meni, prečicom CtrlAltS ili dvoklikom na jezičak na traci jezičaka. Promene se mogu učinit trajnim uređivanjem tekućeg profila.

Konsole će smenjivati sledeće tokene:

- %n — ime programa

- %d — tekuća fascikla (kratko)

- %D — tekuća fascikla (dugačko)

- %w — naslov prozora postavljen školjkom

- %# — broj sesije

Primeri:

- `%d : %n`, ako je `/usr/src` tekuća fascikla i izvršava se `bash`, prikazaće usr/s : bash

- `%D : %n`, ako je `/usr/src` tekuća fascikla i izvršava se `top`, prikazaće /usr/src : top

- `%w (%#)`, ako je `~` tekuća fascikla i `vim` se izvršava pod prvim jezičkom, prikazaće [No Name] (~) - VIM(1)

### Dijalog za kopiranje ulaza

Tekst unet pod jednim jezičkom može se istovremeno proslediti drugim. Ovaj dijalog omogućava izbor jezičaka koji će primiti taj ulaz. Tekući jezičak će biti zasivljen.

### Dijalog za opcije prepisa

U ovom dijalogu se može izmeniti opcija veličine istorijata prepisa.

## Opcije komandne linije

Pri pokretanju Konsole iz komandne linije, mogu se zadati neke opcije za promenu ponašanja.

`--help`

  Nabraja dostupne opcije.

`--profile` `fajl`

  Pokreće Konsolu sa sačuvanim skupom sesija.

`--list-profiles`

  Nabraja sve dostupne profile.

`--background-mode`

  Pokreće Konsolu u pozadini, tako da se može dozvati u prvi plan pritiskom na F12.

`--new-tab`

  Stvara novi jezičak u postojećem prozoru, umesto da se otvori novi.

`--workdir` `fasc`

  Otvara Konsolu sa `fasc` kao radnom (početnom) fasciklom.

`--notransparency`

  Isključuje providne pozadine, čak i ako ih sistem podržava.

`--force-transparency`

  Pokušava da uključi providnost, čak i ako ne izgleda da je sistem podržava.

`--hold, --noclose`

  Bez automatskog zatvaranja početne sesije kada se završi.

`-p` `svojstvo=vrednost`

  Menja vrednost svojstva u profilu.

`-e` `naredba`

  Izvršava se data naredba umesto normalne školjke.

  Svi argumenti posle `naredba` biće prosleđeni naredbi, a ne Konsoli.

Konsole prihvata i generičke Qt i KDE opcije:

`--help-qt`

  Spisak opcija posebnih za Qt.

Sledeće Qt opcije nemaju uticaja na Konsolu:

`--fn`, `--font` `imefonta`

  Definiše font programa.

`--bg`, `--background` `boja`

  Postavlja podrazumevanu boju pozadine.

`--fg`, `--foreground` `boja`

  Postavlja podrazumevanu boju ispisa.

`--btn`, `--button` `boja`

  Postavlja podrazumevanu boju dugmeta.

`--help-kde`

  Spisak opcija posebnih za KDE.

`--help-all`

  Spisak svih opcija.

`--author`

  Ispisuje imena autora.

`-v,--version`

  Ispisuje broj verzije.

`--license`

  Ispisuje podatke o licenci.

## Skriptovanje Konsole

U KDE‑u 4, stari DCOP zamenjen je D‑Busom. Međutim, Konsole još uvek nije ažurirana na ovaj nivo.

Za ponešto primitivno, nepredusretljivo grafičko sučelje za D‑Bus, isprobajte Qt‑ov Prikazivač D‑Busa (`qdbusviewer`).

((Biće još na ovu temu...))

## Zasluge i autorska prava

Konsolu trenutno održava Robert Najt (Robert Knight) robertknight@gmail.com.

Prethodni održavaoci Konsole, između ostalih, bili su: Kurt V.Hindenburg (Kurt V. Hindenburg) kurt.hindenburg@gmail.com i Valdo Bastijan (Waldo Bastian) bastian@kde.org.

Konsole (program), © 1997-2008, Lars Dele (Lars Dölle) lars.doelle@on-line.de.

Ovaj dokument je napisao Džonatan Singer (Jonathan Singer) jsinger@leeta.net.

Ovaj dokument je za KDE 3.4 ažurirao Kurt V.Hindenburg (Kurt V. Hindenburg) kurt.hindenburg@gmail.com.

Dokument je i za KDE 4.1 ažurirao Kurt V.Hindenburg.

Na DocBook SGML prvobitno pretvorili Majk Mekbrajd (Mike McBride) i Lori Vots (Lauri Watts).

preveo Dragan Pantelić falcon-10@gmx.de

&underFDL; &underGPL;

## Veze

Za više informacija posetite ove veb sajtove:

- domaća stranica Konsole

- poštanska lista Konsole

- KDE na FreeBSD‑u

- KDE na Solarisu

&documentation.index;